apiVersion: apps/v1
kind: Deployment
metadata:
  name: winsea-product-operation-front
  labels:
    app: winsea-product-operation-front
spec:
  replicas: 1
  selector:
    matchLabels:
      app: winsea-product-operation-front
  template:
    metadata:
      labels:
        app: winsea-product-operation-front
    spec:
      imagePullSecrets:
      - name: default
      containers:
      - image: 172.31.116.91:30657/ws-product-operation-front:${CICD_EXECUTION_SEQUENCE}
        name: winsea-product-operation-front
        ports:
        - containerPort: 80
---
kind: Service
apiVersion: v1
metadata:
  name: winsea-product-operation-front-service
spec:
  selector:
    app: winsea-product-operation-front
  type: ClusterIP
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
